Package io.dapr.exceptions

# Class DaprErrorDetails

java.lang.Object
io.dapr.exceptions.DaprErrorDetails

public class DaprErrorDetails extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`DaprErrorDetails.ErrorDetailType`

## Constructor Summary

Constructors
Constructor
Description
`DaprErrorDetails(com.google.rpc.Status grpcStatus)`
`DaprErrorDetails(List<Map<String,Object>> entries)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`<T> T`
`get(DaprErrorDetails.ErrorDetailType errorDetailType, String errAttribute, TypeRef<T> typeRef)`
Gets an attribute of an error detail.
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DaprErrorDetails

public DaprErrorDetails(com.google.rpc.Status grpcStatus)

### DaprErrorDetails

public DaprErrorDetails(List<Map<String,Object>> entries)

## Method Details

### get

public <T> T get(DaprErrorDetails.ErrorDetailType errorDetailType, String errAttribute, TypeRef<T> typeRef)
Gets an attribute of an error detail.

Type Parameters:
  `T` - Type of the value to be returned.
Parameters:
  `errorDetailType` - Type of the error detail.
  `errAttribute` - Attribute of the error detail.
  `typeRef` - Type of the value expected to be returned.
Returns:
  Value of the attribute or null if not found.

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`